<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.scene.control.Button?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.control.PasswordField?>
<?import javafx.scene.control.TextField?>
<?import javafx.scene.layout.AnchorPane?>
<?import javafx.scene.text.Font?>

<AnchorPane maxHeight="-Infinity" maxWidth="-Infinity" minHeight="-Infinity" minWidth="-Infinity" prefHeight="500.0" prefWidth="700.0" styleClass="imagenFondo" stylesheets="@../styles/styles.css" xmlns="http://javafx.com/javafx/19" xmlns:fx="http://javafx.com/fxml/1" fx:controller="app.controllers.RegisterController">
   <children>
      <TextField fx:id="tfUsuario" layoutX="216.0" layoutY="238.0" onKeyPressed="#key" prefHeight="25.0" prefWidth="268.0" promptText="Usuario" styleClass="fuente" />
      <PasswordField fx:id="pfPass" layoutX="216.0" layoutY="280.0" onKeyPressed="#key" prefHeight="25.0" prefWidth="268.0" promptText="Contraseña" styleClass="fuente" />
      <Button fx:id="btRegistrar" layoutX="396.0" layoutY="329.0" mnemonicParsing="false" onAction="#registrar" prefHeight="65.0" prefWidth="177.0" style="-fx-background-color: null;" styleClass="boton" text="Registrarse">
         <font>
            <Font name="System Bold" size="17.0" />
         </font>
      </Button>
      <Button fx:id="btVolver" layoutX="128.0" layoutY="329.0" mnemonicParsing="false" onAction="#salir" prefHeight="65.0" prefWidth="177.0" style="-fx-background-color: null;" styleClass="boton" text="Volver">
         <font>
            <Font name="System Bold" size="17.0" />
         </font>
      </Button>
      <Label fx:id="lbTitulo" alignment="CENTER" layoutX="118.0" layoutY="80.0" prefHeight="141.0" prefWidth="465.0" styleClass="fuente" text="REGISTRO" textAlignment="CENTER" textFill="WHITE">
         <font>
            <Font name="System Bold" size="96.0" />
         </font>
      </Label>
   </children>
</AnchorPane>
